uploadApi documentation (1.0.0)

Download OpenAPI specification:Download

Documentation and interface contract for the upload API, the API responsible for file management.

upload

uploadFile

Upload a file.

header Parameters
X-Correlation-ID
string

Correlation identifier

Request Body schema: multipart/form-data
id
string

Technical and unique id generated automatically that identifies a file upload object.

fileLink
string

HTTP link to the file on the FTP server.

resources
required
string
Enum: "PERSON" "PARTNER" "HOST" "TRIP"

Business resource concerned by the file upload.

type
required
string
Enum: "PHOTO" "ID" "SUPPORTING_DOCUMENT"

File type.

file
required
string <binary>

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "fileLink": "string",
  • "resources": "PERSON",
  • "type": "PHOTO",
  • "file": "string",
  • "links": [
    ]
}

putUpload

Update a file.

path Parameters
upload-id
required
string

Technical id of the file.

header Parameters
X-Correlation-ID
string

Correlation identifier

Request Body schema: multipart/form-data
id
string

Technical and unique id generated automatically that identifies a file upload object.

fileLink
string

HTTP link to the file on the FTP server.

resources
required
string
Enum: "PERSON" "PARTNER" "HOST" "TRIP"

Business resource concerned by the file upload.

type
required
string
Enum: "PHOTO" "ID" "SUPPORTING_DOCUMENT"

File type.

file
required
string <binary>

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "fileLink": "string",
  • "resources": "PERSON",
  • "type": "PHOTO",
  • "file": "string",
  • "links": [
    ]
}

deleteUpload

Delete a file.

path Parameters
upload-id
required
string

Technical id of the file.

header Parameters
X-Correlation-ID
string

Correlation identifier

Responses

Response samples

Content type
application/json
{ }